Pterodactyldocs
Application A P I

Get server

Returns a single server by internal numeric ID.

GET/api/application/servers/{server_id}
AuthorizationBearer <token>

Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.

In: header

Path Parameters

server_id*integer

The server ID.

Query Parameters

include?string

Comma-separated relationships to include. Supports "allocations", "user", "subusers", "egg", "variables", "location", "node", "databases", and "transfer" when the key can read those resources.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/application/servers/1?include=user%2Cnode%2Callocations"
{  "object": "server",  "attributes": {    "id": 8107,    "external_id": "string",    "uuid": "c248d6eb-38d1-4067-acd6-7acc8c6cfd60",    "identifier": "q2xiw8r8",    "name": "Asia",    "description": "Accusantium harum mollitia modi deserunt aut ab. Perspiciatis quo omnis nostrum aut adipisci quidem nostrum qui. Incidunt iure odit et et modi ipsum.",    "status": "string",    "suspended": false,    "limits": {      "memory": 512,      "swap": 0,      "disk": 512,      "io": 500,      "cpu": 0,      "threads": "string",      "oom_disabled": false    },    "feature_limits": {      "databases": 0,      "allocations": 0,      "backups": 0    },    "user": 22043,    "node": 13322,    "allocation": 9812,    "egg": 9831,    "container": {      "startup_command": "/bin/bash echo \"hello world\"",      "image": "foo/bar:latest",      "installed": 1,      "environment": {        "SERVER_JARFILE": "server.jar"      }    },    "updated_at": "2026-09-22T14:45:23+00:00",    "created_at": "2026-09-22T14:45:23+00:00"  }}